Page MenuHomePhabricator

Phabricator admin request for Ladsgroup
Closed, ResolvedPublic

Description

As a member of CoC committee, There has been several cases that I had to ask a phabricator admin to delete comments for the committee, It's not good in several ways specially it increases the chance of retaliation for people who are not involved in the discussion at all, also sometime we get a report that we need act upon really fast and this extra step slows us down. It would be great if I have the rights to do them on my own and also as a software engineer in Wikidata team and scoring platform team, this will be useful tool. I've signed all sorts of NDAs and I'm staff of WMDE in case that matters. Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 11:46 AM
Restricted Application added a project: Operations. · View Herald TranscriptMay 7 2018, 12:07 PM
Aklapper moved this task from To Triage to Administration (UI) on the Phabricator board.
Aklapper added a subscriber: Peachey88.

Unrelated to SRE-Access-Requests (no shell server access requested), hence removing that tag.

I asked @Ladsgroup to file this task as there is no clear "how/why to become a Phab admin" process so more opinions are welcome.
While Phab is already more restricted regarding admin powers than other software, there'd be still enough functionality that would violate the Principle of least privilege as there is no separate technical right specifically for removing comments.
I support Ladsgroup's request to become an admin.

Aklapper claimed this task.May 19 2018, 6:39 AM
Aklapper closed this task as Resolved.May 19 2018, 7:47 AM

@Ladsgroup: After a quick chat with @greg (the actions you intend to perform; NDAs are in place): Here you go!
Generic & general disclaimers: 1) Use your powers wisely. 2) If unsure, ask first.
Thanks!

Thank you ❤❤❤❤

Vvjjkkii renamed this task from Phabricator admin request for Ladsgroup to lhdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Aklapper as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
MacFan4000 closed this task as Resolved.Jul 2 2018, 3:19 PM
MacFan4000 assigned this task to Aklapper.
MacFan4000 raised the priority of this task from High to Needs Triage.
MacFan4000 added a subscriber: Aklapper.
MacFan4000 renamed this task from lhdaaaaaaa to Phabricator admin request for Ladsgroup.Jul 2 2018, 3:21 PM
MacFan4000 updated the task description. (Show Details)